/*
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.edelvez.gameserver.network.clientpackets;

import com.edelvez.gameserver.model.L2Clan;
import com.edelvez.gameserver.model.L2ClanMember;
import com.edelvez.gameserver.model.actor.instance.L2PcInstance;
import com.edelvez.gameserver.network.serverpackets.PledgeReceivePowerInfo;

/**
 * Format: (ch) dS
 *
 * @author -Wooden-
 */
public final class RequestPledgeMemberPowerInfo extends L2GameClientPacket
{
	private static final String _C__D0_1B_REQUESTPLEDGEMEMBERPOWERINFO = "[C] D0:1B RequestPledgeMemberPowerInfo";
	@SuppressWarnings("unused")
	private int _unk1;
	private String _player;

	@Override
	protected void readImpl()
	{
		_unk1 = readD();
		_player = readS();
	}

	/**
	 * @see com.edelvez.gameserver.network.clientpackets.ClientBasePacket#runImpl()
	 */
	@Override
	protected void runImpl()
	{
		// System.out.println("C5: RequestPledgeMemberPowerInfo d:"+_unk1);
		// System.out.println("C5: RequestPledgeMemberPowerInfo S:"+_player);
		L2PcInstance activeChar = getClient().getActiveChar();
		if (activeChar == null) {
			return;
		}
		// do we need powers to do that??
		L2Clan clan = activeChar.getClan();
		if (clan == null) {
			return;
		}
		L2ClanMember member = clan.getClanMember(_player);
		if (member == null) {
			return;
		}
		activeChar.sendPacket(new PledgeReceivePowerInfo(member));
	}

	/**
	 * @see com.edelvez.gameserver.BasePacket#getType()
	 */
	@Override
	public String getType()
	{
		return _C__D0_1B_REQUESTPLEDGEMEMBERPOWERINFO;
	}
}