/*
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.edelvez.gameserver.skills.effects;

import com.edelvez.gameserver.model.L2Effect;
import com.edelvez.gameserver.model.actor.instance.L2PcInstance;
import com.edelvez.gameserver.skills.Env;

/**
 * @author nBd
 */
public class EffectCharmOfCourage extends L2Effect
{
	public EffectCharmOfCourage(Env env, EffectTemplate template)
	{
		super(env, template);
	}

	/**
	 * @see com.edelvez.gameserver.model.L2Effect#getEffectType()
	 */
	@Override
	public EffectType getEffectType()
	{
		return EffectType.CHARMOFCOURAGE;
	}

	/** Notify started */
	@Override
	public void onStart()
	{
		if (getEffected() instanceof L2PcInstance) {
			((L2PcInstance) getEffected()).setCharmOfCourage(true);
		}
	}

	/** Notify exited */
	@Override
	public void onExit()
	{
		if (getEffected() instanceof L2PcInstance) {
			((L2PcInstance) getEffected()).setCharmOfCourage(false);
		}
	}

	/**
	 * @see com.edelvez.gameserver.model.L2Effect#onActionTime()
	 */
	@Override
	public boolean onActionTime()
	{
		return false;
	}
}
